{
  "type": "minecraft:chest",
  "pools": [
    {
      "bonus_rolls": 0,
      "entries": [
        {
          "type": "minecraft:loot_table",
          "value": "vb:items/ice_cream_bucket"
        },
        {
          "type": "minecraft:loot_table",
          "functions": [
            {
              "add": false,
              "count": {
                "type": "minecraft:uniform",
                "max": 3.0,
                "min": 1.0
              },
              "function": "minecraft:set_count"
            }
          ],
          "value": "vb:items/frozen_apple",
          "weight": 2
        },
        {
          "type": "minecraft:item",
          "functions": [
            {
              "effects": [
                {
                  "type": "minecraft:night_vision",
                  "duration": {
                    "type": "minecraft:uniform",
                    "max": 10,
                    "min": 7
                  }
                },
                {
                  "type": "minecraft:blindness",
                  "duration": {
                    "type": "minecraft:uniform",
                    "max": 7,
                    "min": 5
                  }
                }
              ],
              "function": "minecraft:set_stew_effect"
            },
            {
              "add": false,
              "count": {
                "type": "minecraft:uniform",
                "max": 6,
                "min": 2
              },
              "function": "minecraft:set_count"
            }
          ],
          "name": "minecraft:suspicious_stew"
        },
        {
          "type": "minecraft:item",
          "functions": [
            {
              "add": false,
              "count": {
                "type": "minecraft:uniform",
                "max": 10,
                "min": 1
              },
              "function": "minecraft:set_count"
            }
          ],
          "name": "minecraft:golden_carrot"
        },
        {
          "type": "minecraft:item",
          "functions": [
            {
              "add": false,
              "count": {
                "type": "minecraft:uniform",
                "max": 10,
                "min": 1
              },
              "function": "minecraft:set_count"
            }
          ],
          "name": "minecraft:baked_potato"
        },
        {
          "type": "minecraft:item",
          "functions": [
            {
              "add": false,
              "count": {
                "type": "minecraft:uniform",
                "max": 6,
                "min": 2
              },
              "function": "minecraft:set_count"
            }
          ],
          "name": "minecraft:packed_ice",
          "weight": 2
        },
        {
          "type": "minecraft:item",
          "functions": [
            {
              "add": false,
              "count": {
                "type": "minecraft:uniform",
                "max": 6,
                "min": 2
              },
              "function": "minecraft:set_count"
            }
          ],
          "name": "minecraft:snowball",
          "weight": 4
        }
      ],
      "rolls": {
        "type": "minecraft:uniform",
        "max": 10,
        "min": 4
      }
    }
  ],
  "random_sequence": "minecraft:chests/ancient_city_ice_box"
}